> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Network

> Full-replacement edit of a custom org network; seeded default networks accept name and logo only.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/update-network
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/update-network:
    post:
      operationId: updateNetwork
      summary: Update Network
      description: >-
        Full-replacement edit of a custom org network; seeded default networks
        accept name and logo only.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateNetworkRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateNetworkResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateNetworkRequest:
      type: object
      properties:
        networkID:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
        networkLogoURI:
          type: string
        meshConnectNetworkID:
          type: string
        evmChainID:
          type: integer
          minimum: 1
        multiSendCallOnlyAddress:
          type: string
        safeSingletonAddress:
          type: string
        safeFactoryAddress:
          type: string
        safeAppBaseUrl:
          type: string
          format: uri
          description: >-
            NOTE(ck): a .refine() rule on a nested schema is not mirrored here;
            TGA still enforces it
        safeTxServiceUrl:
          type: string
          format: uri
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it

            NOTE(ck): a .refine() rule on a nested schema is not mirrored here;
            TGA still enforces it
        rpcUrl:
          type:
            - string
            - 'null'
          format: uri
          description: >-
            NOTE(ck): a .refine() rule on a nested schema is not mirrored here;
            TGA still enforces it
        blockExplorerBaseUrl:
          type: string
          format: uri
          description: >-
            NOTE(ck): a .refine() rule on a nested schema is not mirrored here;
            TGA still enforces it
        eipsName:
          type: string
        aleoTransferVisibility:
          type: string
          enum:
            - PUBLIC
            - PUBLIC_TO_PRIVATE
            - PRIVATE
      required:
        - networkID
        - name
    UpdateNetworkResponse:
      type: object
      properties:
        network:
          type: object
          properties:
            networkID:
              type: string
              format: uuid
            orgID:
              type: string
              format: uuid
            name:
              type: string
            icon:
              type:
                - string
                - 'null'
            tokenType:
              type: string
              enum:
                - ERC20
                - NATIVE
            isNetworkEnabled:
              type:
                - boolean
                - 'null'
            chainType:
              type:
                - string
                - 'null'
              enum:
                - EVM
                - SOLANA
                - XRPL
                - BITCOIN
                - COSMOS_SDK
                - FILECOIN
                - PROVENANCE
                - ALEO
                - FOGO
                - FIAT
                - NEAR
                - POLKADOT
                - STACKS
                - SUI
                - null
            meshConnectNetworkID:
              type:
                - string
                - 'null'
            evmChainID:
              type:
                - integer
                - 'null'
            multiSendCallOnlyAddress:
              type:
                - string
                - 'null'
            safeSingletonAddress:
              type:
                - string
                - 'null'
            safeFactoryAddress:
              type:
                - string
                - 'null'
            safeAppBaseUrl:
              type:
                - string
                - 'null'
            safeTxServiceUrl:
              type:
                - string
                - 'null'
            blockExplorerBaseUrl:
              type:
                - string
                - 'null'
            eipsName:
              type:
                - string
                - 'null'
            aleoTransferVisibility:
              type:
                - string
                - 'null'
              enum:
                - PUBLIC
                - PUBLIC_TO_PRIVATE
                - PRIVATE
                - null
            defaultNetworkSlugUrl:
              type:
                - string
                - 'null'
            catalogChainID:
              type:
                - string
                - 'null'
              format: uuid
            rpcUrlConfigured:
              type: boolean
          required:
            - networkID
            - orgID
            - name
            - icon
            - tokenType
            - isNetworkEnabled
            - chainType
            - meshConnectNetworkID
            - evmChainID
            - multiSendCallOnlyAddress
            - safeSingletonAddress
            - safeFactoryAddress
            - safeAppBaseUrl
            - blockExplorerBaseUrl
            - eipsName
            - aleoTransferVisibility
            - defaultNetworkSlugUrl
            - catalogChainID
            - rpcUrlConfigured
      required:
        - network
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
